com.independentsoft.exchange

## Class OnlineMeetingSettings

- java.lang.Object
- - com.independentsoft.exchange.OnlineMeetingSettings

-     public class OnlineMeetingSettings
      extends java.lang.Object

  The Class OnlineMeetingSettings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnlineMeetingSettings()` Instantiates a new online meeting settings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OnlineMeetingAccessLevel` | `getAccessLevel()` Gets the access level.
    `LobbyBypass` | `getLobbyBypass()` Gets the lobby bypass.
    `Presenters` | `getPresenters()` Gets the presenters.
    `void` | `setAccessLevel(OnlineMeetingAccessLevel accessLevel)` Sets the access level.
    `void` | `setLobbyBypass(LobbyBypass lobbyBypass)` Sets the lobby bypass.
    `void` | `setPresenters(Presenters presenters)` Sets the presenters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnlineMeetingSettings

          public OnlineMeetingSettings()

      Instantiates a new online meeting settings.

  - ### Method Detail

    - #### getLobbyBypass

          public LobbyBypass getLobbyBypass()

      Gets the lobby bypass.
      Returns:
        the lobby bypass

    - #### setLobbyBypass

          public void setLobbyBypass(LobbyBypass lobbyBypass)

      Sets the lobby bypass.
      Parameters:
        `lobbyBypass` - the new lobby bypass

    - #### getAccessLevel

          public OnlineMeetingAccessLevel getAccessLevel()

      Gets the access level.
      Returns:
        the access level

    - #### setAccessLevel

          public void setAccessLevel(OnlineMeetingAccessLevel accessLevel)

      Sets the access level.
      Parameters:
        `accessLevel` - the new access level

    - #### getPresenters

          public Presenters getPresenters()

      Gets the presenters.
      Returns:
        the presenters

    - #### setPresenters

          public void setPresenters(Presenters presenters)

      Sets the presenters.
      Parameters:
        `presenters` - the new presenters